Summary:	Oniguruma - a regular expressions library
Summary(pl.UTF-8):	Oniguruma - biblioteka wyrażeń regularnych
Name:		oniguruma
Version:	6.9.8
Release:	1
License:	BSD
Group:		Libraries
# Source0Download: https://github.com/kkos/oniguruma/releases
Source0:	https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.gz
# Source0-md5:	ceb0ce338e6ad444615c1daac1e260a7
URL:		https://github.com/kkos/oniguruma
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.14
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The characteristics of this library is that different character
encoding for every regular expression object can be specified.

%description -l pl.UTF-8
Biblioteka Oniguruma charakteryzuje się tym, że można podać inne
kodowanie znaków dla każdego obiektu wyrażenia regularnego.

%package devel
Summary:	Header files for Oniguruma library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Oniguruma
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the package containing the header files for Oniguruma library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Oniguruma.

%package static
Summary:	Static Oniguruma library
Summary(pl.UTF-8):	Statyczna biblioteka Oniguruma
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Oniguruma library.

%description static -l pl.UTF-8
Statyczna biblioteka Oniguruma.

%prep
%setup -q -n onig-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies (and .pc exists)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libonig.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING HISTORY README.md index.html
%doc %lang(ja) README_japanese index_ja.html
%attr(755,root,root) %{_libdir}/libonig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libonig.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/onig-config
%attr(755,root,root) %{_libdir}/libonig.so
%{_includedir}/oniggnu.h
%{_includedir}/oniguruma.h
%{_pkgconfigdir}/oniguruma.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libonig.a
%changelog
* Tue May 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/oniguruma.git;a=log;h=master

* Mon May 02 2022 Jan Palus <atler@pld-linux.org> 9f9273a
- up to 6.9.8

* Tue Jun 29 2021 Jan Palus <atler@pld-linux.org> 85928ee
- up to 6.9.7

* Tue Dec 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 36a08da
- updated to 6.9.1

* Sat Dec 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 64a217d
- updated libtool version

* Mon Sep 24 2018 Elan Ruusamäe <glen@pld-linux.org> bcbf04d
- up to 6.9.0

* Sun Jul 22 2018 Elan Ruusamäe <glen@pld-linux.org> 313d09e
- up to 6.8.2; new SONAME

* Sat Mar 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 1f3e7c8
- updated to 6.8.0 (note: new soname)
  fixes: CVE-2017-9224 CVE-2017-9225 CVE-2017-9226 CVE-2017-9227 CVE-2017-9228 CVE-2017-9229

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> b3935fa
- new URLs, updated to 6.0.0 (note: new soname)
- dropped .la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a284c68
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 26 2015 Elan Ruusamäe <glen@delfi.ee> 0c3e3d8
- up to 5.9.6 (2014/12/12); add pkgconfig file

* Sun Aug 07 2011 Elan Ruusamäe <glen@pld-linux.org> 4d1a0f7
- up to 5.9.2

* Thu Apr 09 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 839823a
- run %{__libtoolize}

* Thu Jun 05 2008 Elan Ruusamäe <glen@pld-linux.org> 2d212a2
- update to 5.9.1, ghost soname symlinks

* Tue Feb 20 2007 Elan Ruusamäe <glen@pld-linux.org> 1fb179a
- update to 5.5.2, new soname

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d71142
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c58ddfa
- converted to UTF-8

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 41b4a51
- pl for -static,-devel
- added missing .so symlink to -devel

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> cfb5ae7
- cleanup

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 700bbbf
- correct libdir

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 6a19001
- outdated

